      SUBROUTINE gr_fi_dyn2d(nfield,ngrid,im,jm,pfi,pdyn)
      IMPLICIT NONE
c=======================================================================
c   passage d'un champ de la grille scalaire a la grille physique
c   correction bug TB18
c=======================================================================

c-----------------------------------------------------------------------
c   declarations:
c   -------------

      INTEGER im,jm,ngrid,nfield
      REAL pdyn(im,jm)
      REAL pfi(ngrid)

      INTEGER i,j,ifield,ig
      EXTERNAL SCOPY

c-----------------------------------------------------------------------
c   calcul:
c   -------
c   traitement des poles
      DO i=1,im  ! lon
            pdyn(i,1)=pfi(1)
            pdyn(i,jm)=pfi(ngrid)
      ENDDO

c   traitement des point normaux
      DO j=2,jm-1   ! lat
            ig=2+(j-2)*(im-1)
            !CALL SCOPY(im-1,pfi(ig),1,pdyn(1,j),1)
            do i=1,im-1
               pdyn(i,j)=pfi(ig+i-1)
            enddo
            pdyn(im,j)=pdyn(1,j)
      ENDDO

      RETURN
      END
